<?php

namespace Andy\MostPosts;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{
	public function install(array $stepParams = [])
	{	
		$this->query(
			"ALTER TABLE xf_user
				ADD andy_most_posts_count INT(10) UNSIGNED NOT NULL DEFAULT 0
		");
	}
	
	public function upgrade(array $stepParams = [])
	{	
	}

	public function uninstall(array $stepParams = [])
	{
		$this->query(
			"ALTER TABLE xf_user
				DROP andy_most_posts_count
		");
	}
}